<?php 
/*
Plugin Name: Jamie Social Icons
Plugin URI: http://www.cagedfish.co.uk/web-design-leicester/index.php/wordpress-plugins/jamie-social-icons/
Description: Add Facebook Like, Tweet and Google Plus 1 button at bottom of page/post
Author: Jamie Grove
Version: 0.3
Author URI: http://twitter.com/martiniboy
*/
/*  Copyright 2012  Jamie Grove  (email : jcgrove@hotmail.com)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License, version 2, as 
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/
define( 'PLUGIN_DIR', dirname(__FILE__).'/' ); 
include "social-admin.php"; 
function get_jamie_social_code(){
?>
<?php 
wp_enqueue_style( 'jamie_social', WP_PLUGIN_URL.'/jamie-social-icons/social.css');
?>
<?php $options = get_option( 'jamie_social_options' ); ?>
<ul id="jamie_social">
 <?php if($options['facebook'] == true){ ?>
<script>(function(d, s, id) {
  var js, fjs = d.getElementsByTagName(s)[0];
  if (d.getElementById(id)) {return;}
  js = d.createElement(s); js.id = id;
  js.src = "//connect.facebook.net/en_GB/all.js#xfbml=1";
  fjs.parentNode.insertBefore(js, fjs);
}(document, 'script', 'facebook-jssdk'));</script>
<li><fb:like send="false" layout="button_count" width="90" show_faces="false"></fb:like></li>
<?php } ?>
 <?php if($options['google'] == true){ ?>
<!-- Place this tag where you want the +1 button to render -->
<li><g:plusone size="medium"></g:plusone></li>

<!-- Place this render call where appropriate -->
<script type="text/javascript">
  (function() {
    var po = document.createElement('script'); po.type = 'text/javascript'; po.async = true;
    po.src = 'https://apis.google.com/js/plusone.js';
    var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(po, s);
  })();
</script>
<?php } ?>
 <?php if($options['twitter'] == true){ ?>
<li><a href="https://twitter.com/share" class="twitter-share-button" data-count="horizontal">Tweet</a></li><script type="text/javascript" src="//platform.twitter.com/widgets.js"></script>
<?php } ?>
<?php if($options['pinterest'] == true){ ?>
<li><a href="http://pinterest.com/pin/create/button/?url=<?php the_permalink(); ?>&media=<?php $thumb = wp_get_attachment_image_src( get_post_thumbnail_id($post->ID), 'thumbnail' ); echo $thumb['0']; ?>&description=<?php the_title(); ?>" class="pin-it-button" count-layout="horizontal">Pin It</a>
<script type="text/javascript" src="http://assets.pinterest.com/js/pinit.js"></script>
</li>

<?php } ?>
<?php if($options['linkedin'] == true){ ?>
<script type="text/javascript" src="http://platform.linkedin.com/in.js"></script>
<li><script type="in/share" data-url="<?php the_permalink(); ?>" data-counter="right"></script></li>
<?php } ?>

</ul>
<?php
}

  
function the_jamie_social_code(){
    echo get_jamie_social_code();
}
?>